SDNM(1)

NAME
sdnm - list symbols from object files. A part of SDCC

SYNOPSIS
sdnm [option(s)] [file(s)]

DESCRIPTION

    List symbols in [file(s)] (a.out by default). The options are:

-a, --debug-syms
    Display debugger-only symbols

-A, --print-file-name
    Print name of the input file before every symbol

-B  Same as --format=bsd

-C, --demangle[=STYLE] Decode low-level symbol names into user-level names
    The STYLE, if specified, can be `auto' (the default), `gnu', `lucid', `arm', `hp', `edg', `gnu-v3', `java' or `gnat'

--no-demangle
    Do not demangle low-level symbol names

-D, --dynamic
    Display dynamic symbols instead of normal symbols

--defined-only
    Display only defined symbols

-e  (ignored)

-f, --format=FORMAT
    Use the output format FORMAT. FORMAT can be `bsd', `sysv' or `posix'. The default is `bsd'

-g, --extern-only
    Display only external symbols

-l, --line-numbers
    Use debugging information to find a filename and line number for each symbol

-n, --numeric-sort
    Sort symbols numerically by address

-o  Same as -A

-p, --no-sort
    Do not sort the symbols

-P, --portability
    Same as --format=posix

-r, --reverse-sort
    Reverse the sense of the sort

-S, --print-size
    Print size of defined symbols

-s, --print-armap
    Include index for symbols from archive members

--size-sort
    Sort symbols by size

--special-syms
    Include special symbols in the output

--synthetic
    Display synthetic symbols as well

-t, --radix=RADIX
    Use RADIX for printing symbol values

--target=BFDNAME
    Specify the target object format as BFDNAME

-u, --undefined-only
    Display only undefined symbols

-X 32_64
    (ignored)

@FILE
    Read options from FILE

-h, --help
    Display this information

-V, --version
    Display this program's version number

/usr/bin/sdnm: supported targets: asxxxx srec symbolsrec binary ihex

REPORTING BUGS
Report bugs to <http://sourceforge.net/tracker/?group_id=599@report_bugs_to@atid=100599>.

COPYRIGHT
Copyright 2012 Free Software Foundation, Inc. This program is free software; you may redistribute it under the terms of the GNU General Public License version 3 or (at your option) any later version. This program has absolutely no warranty.

SEE ALSO
The full documentation for nm is maintained as a Texinfo manual. If the info and nm programs are properly installed at your site, the command

    info nm

should give you access to the complete manual.